<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron-oidc-client.realm" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-any-hostname,always-refresh-token,auth-server-url,autodetect-bearer-only,client-key-password,client-keystore,client-keystore-password,confidential-port,connection-pool-size,connection-timeout-millis,connection-ttl-millis,cors-allowed-headers,cors-allowed-methods,cors-exposed-headers,cors-max-age,disable-trust-manager,enable-cors,expose-token,ignore-oauth-query-parameter,principal-attribute,provider-url,proxy-url,realm-public-key,register-node-at-startup,register-node-period,socket-timeout-millis,ssl-required,token-signature-algorithm,token-store,truststore,truststore-password,verify-token-audience"/>
        <elem name="addr-params" value="subsystem,realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron-oidc-client"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron-oidc-client"/>
    </refs>
    <params>
        <param name="cors-allowed-methods" nillable="true" stability="default"/>
        <param name="expose-token" nillable="true" stability="default"/>
        <param name="principal-attribute" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="elytron-oidc-client"/>
        <param name="allow-any-hostname" nillable="true" stability="default"/>
        <param name="ignore-oauth-query-parameter" nillable="true" stability="default"/>
        <param name="autodetect-bearer-only" nillable="true" stability="default"/>
        <param name="connection-ttl-millis" nillable="true" stability="default"/>
        <param name="token-signature-algorithm" nillable="true" stability="default"/>
        <param name="cors-exposed-headers" nillable="true" stability="default"/>
        <param name="cors-max-age" nillable="true" stability="default"/>
        <param name="truststore" nillable="true" stability="default"/>
        <param name="ssl-required" nillable="true" stability="default"/>
        <param name="proxy-url" nillable="true" stability="default"/>
        <param name="cors-allowed-headers" nillable="true" stability="default"/>
        <param name="provider-url" nillable="true" stability="default"/>
        <param name="token-store" nillable="true" stability="default"/>
        <param name="client-keystore-password" nillable="true" stability="default"/>
        <param name="verify-token-audience" nillable="true" stability="default"/>
        <param name="realm-public-key" nillable="true" stability="default"/>
        <param name="register-node-at-startup" nillable="true" stability="default"/>
        <param name="client-keystore" nillable="true" stability="default"/>
        <param name="socket-timeout-millis" nillable="true" stability="default"/>
        <param name="client-key-password" nillable="true" stability="default"/>
        <param name="confidential-port" nillable="true" stability="default"/>
        <param name="connection-timeout-millis" nillable="true" stability="default"/>
        <param name="truststore-password" nillable="true" stability="default"/>
        <param name="realm" feature-id="true"/>
        <param name="enable-cors" nillable="true" stability="default"/>
        <param name="always-refresh-token" nillable="true" stability="default"/>
        <param name="register-node-period" nillable="true" stability="default"/>
        <param name="auth-server-url" nillable="true" stability="default"/>
        <param name="disable-trust-manager" nillable="true" stability="default"/>
        <param name="connection-pool-size" nillable="true" stability="default"/>
    </params>
</feature-spec>